#include "config.h"

#include <library/cpp/yconf/conf.h>

bool TTrigramComponentConfig::DoCheck() const {
    return true;
}

void TTrigramComponentConfig::DoInit(const TYandexConfig::Section& componentSection) {
    if (componentSection.Parsed()) {
        IgnoreCase = componentSection.GetDirectives().Value("IgnoreCase", false);
    }
}

void TTrigramComponentConfig::DoToString(IOutputStream& so) const {
    so << "IgnoreCase: " << IgnoreCase << Endl;
}
